%bcond autoreconf 1

Name:           eot-utils
Version:        1.1
Release:    1%{?dist}
Summary:        Create or examine EOT font format files

License:        W3C
URL:            https://www.w3.org/Tools/eot-utils/
Source0:         %{url}/eot-utilities-%{version}.tar.gz

ExcludeArch:    %{ix86}

BuildRequires:  gcc
BuildRequires:  make

%if %{with autoreconf}
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
%endif

%description
The eot-utils are the two programs mkeot and eotinfo. The former creates an EOT
(Embedded OpenType) file from an OpenType or TrueType font and the URLs of one
or more Web pages, respecting the TrueType embedding bits. The eotinfo program
displays EOT metadata in a human-readable way.


%prep
%autosetup -n eot-utilities-%{version}


%build
%if %{with autoreconf}
autoreconf --force --install --verbose
%endif
%configure
%make_build


%install
%make_install


%files
%license COPYING
%doc AUTHORS
%doc ChangeLog
%doc README

%{_bindir}/mkeot
%{_bindir}/eotinfo

%{_mandir}/man1/mkeot.1*
%{_mandir}/man1/eotinfo.1*


%changelog
* Fri Jul 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-1
- initial build
